| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
gtx/color_space.hpp File Reference

GLM_GTX_color_space More...

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | hsvColor (vec< 3, T, Q > const &rgbValue)
| Converts a color from RGB color space to its color in HSV color space. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | luminosity (vec< 3, T, Q > const &color)
| Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgbColor (vec< 3, T, Q > const &hsvValue)
| Converts a color from HSV color space to its color in RGB color space. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | saturation (T const s)
| Build a saturation matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | saturation (T const s, vec< 3, T, Q > const &color)
| Modify the saturation of a color. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | saturation (T const s, vec< 4, T, Q > const &color)
| Modify the saturation of a color. More...

## Detailed Description

GLM_GTX_color_space

See also
  Core features (dependence)

Definition in file gtx/color_space.hpp.